[已修复]0.57.3使用Button报错java.lang.String cannot be cast to ...



  • 已确认由于官方合并代码不完整,导致0.57.3的Button组件存在bug,在官方发布0.57.4之前的解决办法(二选一)是

    1. 使用Touchable组件代替Button

    2. 降级到0.57.1 yarn add react-native@0.57.1 schedule@0.4.0 ,必要的话删除node_modules重新yarn, 以及务必重启packager



  • 好坑呀,目前大概哪个版本最稳定呢?



  • 哪个版本都有Bug,都得手动解决,呵呵,习惯了
    一路从RN0.20升到0.56,各路艰辛,爱恨交加,刚RN在xcode10上又有先天bug “Multiple commands produce ...”

    不过RN确实是成本最低的app开发之路,我觉得